# TdApi.IdentityDocument (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: IdentityDocument

Package it.tdlight.jni

# Class TdApi.IdentityDocument

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.IdentityDocument

Enclosing class:
  TdApi

    public static class TdApi.IdentityDocument
    extends TdApi.Object

An identity document.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.Date` | `expiryDate` | Document expiry date; may be null if not applicable.
`TdApi.DatedFile` | `frontSide` | Front side of the document.
`String` | `number` | Document number; 1-24 characters.
`TdApi.DatedFile` | `reverseSide` | Reverse side of the document; only for driver license and identity card; may be null.
`TdApi.DatedFile` | `selfie` | Selfie with the document; may be null.
`TdApi.DatedFile[]` | `translation` | List of files containing a certified English translation of the document.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`IdentityDocument()` | An identity document.
`IdentityDocument​(DataInput input)` |
`IdentityDocument​(String number, TdApi.Date expiryDate, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation)` | An identity document.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### number

public String number
Document number; 1-24 characters.

### expiryDate

public TdApi.Date expiryDate
Document expiry date; may be null if not applicable.

### frontSide

public TdApi.DatedFile frontSide
Front side of the document.

### reverseSide

public TdApi.DatedFile reverseSide
Reverse side of the document; only for driver license and identity card; may be null.

### selfie

public TdApi.DatedFile selfie
Selfie with the document; may be null.

### translation

public TdApi.DatedFile[] translation
List of files containing a certified English translation of the document.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### IdentityDocument

public IdentityDocument()
An identity document.

### IdentityDocument

public IdentityDocument​(String number, TdApi.Date expiryDate, TdApi.DatedFile frontSide, TdApi.DatedFile reverseSide, TdApi.DatedFile selfie, TdApi.DatedFile[] translation)
An identity document.

Parameters:
  `number` - String Document number; 1-24 characters.
  `expiryDate` - Date Document expiry date; may be null if not applicable.
  `frontSide` - DatedFile Front side of the document.
  `reverseSide` - DatedFile Reverse side of the document; only for driver license and identity card; may be null.
  `selfie` - DatedFile Selfie with the document; may be null.
  `translation` - DatedFile[] List of files containing a certified English translation of the document.

### IdentityDocument

public IdentityDocument​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`